#include<stdio.h>
#include<Windows.h>

#pragma warning(disable : 4996)

void main()
{
	int i;
	int input;

	// 사용자로부터 정수를 입력받음
	printf("입력에 대한 소수 여부를 판단한다.\n");
	printf("소수 판별하기 위한 N값을 입력하라.: ");
	scanf("%d", &input);

	// 2부터 input-1까지의 정수들로 input을 나누면서 소수인지 확인
	for (i = 2; i < input; i++)
	{
		// input이 짝수이면 바로 결과 출력
		if (input % i == 0 && input != i)
		{
			printf("\n%5d는 소수가 아니다!!\n", input);
			system("PAUSE");
			return;
		}
	}
	// 마지막 결과를 출력
	if (input > 1)
	{
		printf("\n%5d는 소수이다!!\n", input);
	}
	else
	{
		printf("\n%5d는 소수가 아니다!!\n", input);
	}
	system("PAUSE");
}